<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::dropIfExists('user_companies');

        Schema::create('user_companies', function (Blueprint $table) {
            $table->id();

            $table->string('company_type')
                ->nullable()
                ->comment('types: tel, hk, hj');

            $table->string('name')
                ->index();

            $table->string('ssb')
                ->nullable()
                ->comment('Şahsy salgyt belgisi');

            $table->string('hb')
                ->nullable();

            $table->foreignId('bank_id')->nullable()->constrained('banks')->nullOnDelete();
            $table->foreignId('user_id')->nullable()->constrained('users')->nullOnDelete();

            $table->boolean('default')->default(false);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_companies');
    }
};
